Name: borgmatic
Version: 1.8.11
Release: alt1

Summary: borgmatic (formerly atticmatic) is a simple Python wrapper script for the Borg

License: GPL-3
Group: File tools
Url: https://github.com/witten/borgmatic

BuildArch: noarch

Packager: Pavel Vainerman <pv@altlinux.ru>

# Source-url: https://github.com/witten/borgmatic/archive/%version.tar.gz
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3 rpm-build-intro

BuildRequires: python3-module-pyproject-installer
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

Requires: borg

# Optional C library for ruamel-yaml
Requires: python3-module-ruamel-yaml.clib

# generated by 'epm restore --dry-run' from borgmatic/setup.py install_requires
%py3_use colorama < 0.5
%py3_use colorama >= 0.4.1
%py3_use jsonschema
%py3_use packaging
%py3_use requests
%py3_use ruamel-yaml > 0.15.0

%description
borgmatic (formerly atticmatic) is a simple Python wrapper script for the Borg backup software 
that initiates a backup, prunes any old backups according to a retention policy, 
and validates backups for consistency. 
The script supports specifying your settings in a declarative configuration file 
rather than having to put them all on the command-line, and handles common errors.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%files
%doc LICENSE AUTHORS README.md sample
%_bindir/borgmatic
%_bindir/generate-borgmatic-config
%_bindir/validate-borgmatic-config
%python3_sitelibdir_noarch/*

%changelog
* Tue Apr 30 2024 Pavel Vainerman <pv@altlinux.ru> 1.8.11-alt1
- new version (1.8.11) with rpmgs script

* Tue Apr 16 2024 Pavel Vainerman <pv@altlinux.ru> 1.8.10-alt1
- new version (1.8.10) with rpmgs script

* Tue Mar 19 2024 Stanislav Levin <slev@altlinux.org> 1.8.8-alt1.1
- NMU: added missing build dependency on setuptools.

* Sun Feb 18 2024 Pavel Vainerman <pv@altlinux.ru> 1.8.8-alt1
- new version (1.8.8) with rpmgs script

* Tue Jan 30 2024 Alexey Shabalin <shaba@altlinux.org> 1.8.7-alt1
- new version 1.8.7
- fixed conflict with python3-module-ruamel-yaml > 0.18.0

* Thu Jan 04 2024 Pavel Vainerman <pv@altlinux.ru> 1.8.6-alt1
- new version (1.8.6) with rpmgs script
- (spec) update build macros

* Thu Oct 12 2023 Vitaly Lipatov <lav@altlinux.ru> 1.7.15-alt2
- switch to pyproject build
- update BuildRequires/Requires
- add Requires: borg (ALT bug 47931)

* Sun Jul 16 2023 Pavel Vainerman <pv@altlinux.ru> 1.7.15-alt1
- new version (1.7.15) with rpmgs script

* Sun Jun 04 2023 Pavel Vainerman <pv@altlinux.ru> 1.7.14-alt1
- new version (1.7.14) with rpmgs script

* Sun Apr 30 2023 Pavel Vainerman <pv@altlinux.ru> 1.7.12-alt1
- new version (1.7.12) with rpmgs script

* Thu Jul 21 2022 Grigory Ustinov <grenka@altlinux.org> 1.6.4-alt1.1
- NMU: fixed requires according to setup.py

* Sat Jun 25 2022 Pavel Vainerman <pv@altlinux.ru> 1.6.4-alt1
- new version (1.6.4) with rpmgs script

* Mon Nov 29 2021 Pavel Vainerman <pv@altlinux.ru> 1.5.21-alt1
- new version (1.5.21) with rpmgs script

* Tue Oct 12 2021 Pavel Vainerman <pv@altlinux.ru> 1.5.20-alt1
- new version (1.5.20) with rpmgs script

* Sat Jun 19 2021 Pavel Vainerman <pv@altlinux.ru> 1.5.15-alt1
- new version (1.5.15) with rpmgs script

* Sat Jan 02 2021 Pavel Vainerman <pv@altlinux.ru> 1.5.12-alt1
- new version (1.5.12) with rpmgs script

* Sat Aug 22 2020 Pavel Vainerman <pv@altlinux.ru> 1.5.10-alt1
- new version (1.5.10) with rpmgs script

* Tue Jun 23 2020 Pavel Vainerman <pv@altlinux.ru> 1.5.7-alt1
- new version (1.5.7) with rpmgs script

* Tue Jun 09 2020 Pavel Vainerman <pv@altlinux.ru> 1.5.6-alt1
- new version (1.5.6) with rpmgs script

* Wed May 27 2020 Pavel Vainerman <pv@altlinux.ru> 1.5.5-alt1
- new version (1.5.5) with rpmgs script

* Sat May 16 2020 Pavel Vainerman <pv@altlinux.ru> 1.5.4-alt1
- new version (1.5.4) with rpmgs script

* Wed May 13 2020 Pavel Vainerman <pv@altlinux.ru> 1.5.3-alt1
- new version (1.5.3) with rpmgs script

* Wed Jan 15 2020 Nikolai Kostrigin <nickel@altlinux.org> 1.4.21-alt2
- NMU: switch BR: python-module-pykwalify -> python3-module-pykwalify
- fix license

* Sun Dec 22 2019 Pavel Vainerman <pv@altlinux.ru> 1.4.21-alt1
- new version (1.4.21) with rpmgs script

* Mon Dec 02 2019 Pavel Vainerman <pv@altlinux.ru> 1.4.16-alt1
- new version (1.4.16) with rpmgs script

* Fri Nov 08 2019 Pavel Vainerman <pv@altlinux.ru> 1.4.8-alt1
- new version (1.4.8) with rpmgs script

* Fri Nov 01 2019 Pavel Vainerman <pv@altlinux.ru> 1.4.1-alt1
- new version (1.4.1) with rpmgs script

* Sun Oct 20 2019 Pavel Vainerman <pv@altlinux.ru> 1.3.26-alt1
- new version (1.3.26) with rpmgs script

* Sun Sep 29 2019 Pavel Vainerman <pv@altlinux.ru> 1.3.21-alt1
- new version (1.3.21) with rpmgs script

* Mon Sep 23 2019 Pavel Vainerman <pv@altlinux.ru> 1.3.18-alt1
- new version (1.3.18) with rpmgs script

* Thu Sep 19 2019 Pavel Vainerman <pv@altlinux.ru> 1.3.16-alt1
- new version (1.3.16) with rpmgs script

* Fri Sep 13 2019 Pavel Vainerman <pv@altlinux.ru> 1.3.15-alt1
- new version (1.3.15) with rpmgs script

* Tue Jun 18 2019 Pavel Vainerman <pv@altlinux.ru> 1.3.7-alt1
- new version (1.3.7) with rpmgs script

* Fri Jun 14 2019 Pavel Vainerman <pv@altlinux.ru> 1.3.6-alt1
- new version (1.3.6) with rpmgs script

* Sun May 12 2019 Pavel Vainerman <pv@altlinux.ru> 1.3.3-alt1
- new version (1.3.3) with rpmgs script

* Tue Apr 30 2019 Vitaly Lipatov <lav@altlinux.ru> 1.3.1-alt1
- new version 1.3.1 (with rpmrb script)

* Tue Apr 30 2019 Vitaly Lipatov <lav@altlinux.ru> 1.2.17-alt2
- fix (build)requires

* Sun Feb 24 2019 Pavel Vainerman <pv@altlinux.ru> 1.2.17-alt1
- new version (1.2.17) with rpmgs script

* Tue Dec 11 2018 Pavel Vainerman <pv@altlinux.ru> 1.2.12-alt1
- new version (1.2.12) with rpmgs script

* Sun Nov 25 2018 Pavel Vainerman <pv@altlinux.ru> 1.2.11-alt1
- new version (1.2.11) with rpmgs script

* Sun Oct 14 2018 Pavel Vainerman <pv@altlinux.ru> 1.2.8-alt1
- new version (1.2.8) with rpmgs script

* Fri Aug 17 2018 Pavel Vainerman <pv@altlinux.ru> 1.2.2-alt2
- update requires

* Fri Aug 17 2018 Pavel Vainerman <pv@altlinux.ru> 1.2.2-alt1
- update build requires

* Thu Aug 16 2018 Pavel Vainerman <pv@altlinux.ru> 1.2.2-alt0.1
- new version (1.2.2) with rpmgs script
